                     Computer  Science 481/681
                        Quiz 9  -         Name ________________________

1. The primary name server for a given zone acquires the name
   data describing the systems within its zone of responsibility:

   a. From an Ascii file maintained     b. Dynamically from each host
      within the zone by a sys admin.      system within the zone.

   c. By a zone transfer from the root  d. From a database maintained
      name server for the domain.          by the internic.

2. The secondary name server for a given zone acquires the name
   data describing the systems within its zone of responsibility:

   a. From a backup of the file used    b. Dynamically from each host
      by the primary name server.          system within the zone.

   c. By a zone transfer from the root  d. By a zone transfer from the
      name server for the domain.          primary name server.

3. The data used to resolve PTR (gethostbyaddr) type requests is
   acquired:

   a. From Ascii files maintained        b. Dynamically from each host
      within each zone by a sys admin.      system within the zone.

   c. By a zone transfer from the root  d. From a database maintained
      name server for the domain           by the internic.
      in-addr.arpa

4. What name would be used in a  gethostbyaddr request for a system
   whose internet address was 130.127.48.24?




5. One type of entry that can be contained in a DNS packet are
   called "questions".  Three other types of entry are examples of
   what are normally called.

   a. Query records.                  b. Resource records

   c. Criminal records.               d. DNS records

6. Give the specific names of two of the three types of these records

   a -


   b -

7. These records contain domain name, type, class, resource data
   and resource data length plus one addition field... What is it?




8. Associate the following query types with the function for which
   it would normally be used:

   ___ 1.  PTR                        a. Get the internet address of
                                         a particular host.
   ___ 2.  HINFO                      b. Get the name of a particular
                                         host
   ___ 3.  A                          c. Determine what types of services
                                         a particular host provides
   ___ 4.  WKS                        d. Determine what type of computer
                                         a particular host is.

9. Two types of query that are possible in DNS are "recursive"
   and "iterative". Describe how each approach works. Use a diagram
   to illustrate your discussion.

   a. Iterative -









   b. Recursive -






